SoSFColor Class Reference
Field Classes

The SoSFColor class is a container for an SbColor value. More...

`#include <Inventor/fields/SoSFColor.h>`

Inheritance diagram for SoSFColor:

## Public Member Functions

virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoSFColor & | operator= (const SoSFColor &field)
virtual SbBool | isSame (const SoField &field) const
const SbColor & | getValue (void) const
void | setValue (const SbColor &newvalue)
const SbColor & | operator= (const SbColor &newvalue)
int | operator== (const SoSFColor &field) const
int | operator!= (const SoSFColor &field) const
void | setValue (const SbVec3f &vec)
void | setValue (float red, float green, float blue)
void | setValue (const float rgb[3])
void | setHSVValue (float h, float s, float v)
void | setHSVValue (const float hsv[3])
Public Member Functions inherited from SoSField
virtual | ~SoSField ()
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions

static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoSField
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Protected Attributes

SbColor | value

## Additional Inherited Members

Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0 , EVENTIN_FIELD , EVENTOUT_FIELD , EXPOSED_FIELD }
Protected Member Functions inherited from SoSField
| SoSField (void)
Protected Member Functions inherited from SoField
| SoField (void)
void | valueChanged (SbBool resetdefault=TRUE)
virtual void | evaluateConnection (void) const
virtual SbBool | readConnection (SoInput *in)
virtual void | writeConnection (SoOutput *out) const
SbBool | isDestructing (void) const
virtual SoNotRec | createNotRec (SoBase *cont)

## Detailed Description

The SoSFColor class is a container for an SbColor value.

This field is used where nodes, engines or other field containers need to store a single color value (i.e. Red + Green + Blue).

Fields of this type stores their value to file as a "R G B" triple component, where each color component value is between 0.0 and 1.0.

See also
  SoMFColor

## Member Function Documentation

## createInstance()

void * SoSFColor::createInstance | ( | void |  | ) |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## getClassTypeId()

SoType SoSFColor::getClassTypeId | ( | void |  | ) |

static

This static method returns the SoType object associated with objects of this class.

## getTypeId()

SoType SoSFColor::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and "downward" casting.

Implements SoField.

## copyFrom()

void SoSFColor::copyFrom | ( | const SoField & | f | ) |

virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

## isSame()

SbBool SoSFColor::isSame | ( | const SoField & | f | ) | const

virtual

Check for equal type and value(s).

Implements SoField.

## initClass()

void SoSFColor::initClass | ( | void |  | ) |

static

Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

## setValue() [1/3]

void SoSFColor::setValue | ( | const SbVec3f & | vec | ) |

Set color value from a vector with three elements. The three elements will be interpreted as red, green and blue, respectively.

## setValue() [2/3]

void SoSFColor::setValue | ( | float | red,
|  | float | green,
|  | float | blue )

Set color value from red, green and blue. Value range for each component is between 0.0 and 1.0.

## setValue() [3/3]

void SoSFColor::setValue | ( | const float | rgb[3] | ) |

Set color value from a floating point number array with three elements. The three elements will be interpreted as red, green and blue, respectively.

## setHSVValue() [1/2]

void SoSFColor::setHSVValue | ( | float | h,
|  | float | s,
|  | float | v )

Set color value from h, s and v, where is "hue", s is "saturation" and v is "value".

## setHSVValue() [2/2]

void SoSFColor::setHSVValue | ( | const float | hsv[3] | ) |

Set color value from a floating point number array with three elements. The three elements will be interpreted as hue, saturation and value, respectively.

The documentation for this class was generated from the following files:

- SoSFColor.h
- SoSFColor.cpp